# App Reference Processes App Reference Processes ## Gets all of the app reference processes in the system. - [GET /appReferenceProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/app-reference-processes/listappreferenceprocesses.md): This method will scan all app reference processes and and return them to the caller. ## Creates a new app reference process record that does not already exist. - [POST /appReferenceProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/app-reference-processes/createappreferenceprocess.md): This method will auto-generate an ID and create a new app reference process. If an ID is specified for the app reference process, an error will be thrown. ## Execute Batch Operations - [POST /appReferenceProcesses/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/app-reference-processes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a app reference process from the system by its ID. - [DELETE /appReferenceProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/app-reference-processes/deleteappreferenceprocess.md): This method will delete a app reference process with the specified ID. ## Returns a app reference process from the system by its ID. - [GET /appReferenceProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/app-reference-processes/getappreferenceprocess.md): This method will look up a app reference process by the specified ID and return it back. ## Partially updates a app reference process with the specified ID. - [PATCH /appReferenceProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/app-reference-processes/patchappreferenceprocess.md): This method will patch an existing app reference process with the specified ID, using the HTTP PATCH specification. ## Updates a app reference process with the specified ID. - [PUT /appReferenceProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/app-reference-processes/updateappreferenceprocess.md): This method will update an existing app reference process with the specified ID.